# Type alias: SharedFunction

Ƭ **SharedFunction**: (`libraryName`: `string`, `sharedConfig`: [`SharedLibraryConfig`](../../devkit/documents/SharedLibraryConfig)) => `undefined` \| `false` \| [`SharedLibraryConfig`](../../devkit/documents/SharedLibraryConfig)

#### Type declaration

▸ (`libraryName`, `sharedConfig`): `undefined` \| `false` \| [`SharedLibraryConfig`](../../devkit/documents/SharedLibraryConfig)

##### Parameters

| Name           | Type                                                                |
| :------------- | :------------------------------------------------------------------ |
| `libraryName`  | `string`                                                            |
| `sharedConfig` | [`SharedLibraryConfig`](../../devkit/documents/SharedLibraryConfig) |

##### Returns

`undefined` \| `false` \| [`SharedLibraryConfig`](../../devkit/documents/SharedLibraryConfig)
